package com.xueyi.system.digitalmans.service;

import com.xueyi.common.web.entity.service.IBaseService;
import com.xueyi.system.api.digitalmans.domain.dto.DmDigitalmanWorktimeDto;
import com.xueyi.system.api.digitalmans.domain.dto.DmSyncDigitalmanDto;
import com.xueyi.system.api.digitalmans.domain.po.DmDigitalmanExtPo;
import com.xueyi.system.digitalmans.domain.dto.DmDigitalmanDto;
import com.xueyi.system.digitalmans.domain.query.DmDigitalmanQuery;

import java.io.Serializable;
import java.util.List;

/**
 * 数字人基础管理 服务层
 *
 * @author xueyi
 */
public interface IDmDigitalmanService extends IBaseService<DmDigitalmanQuery, DmDigitalmanDto> {
    void addDevInfo(DmDigitalmanDto dto);

    DmDigitalmanWorktimeDto selectWorktimeById(Serializable id);

    int worktimeUpdate(DmDigitalmanWorktimeDto dto);


    DmSyncDigitalmanDto syncDigitalman(String manCode, String timestamp);

    int initDigitalman(String snCode);

    DmDigitalmanExtPo selectExt(String devId);

    List<String> selectRegisteredDevices();

    boolean syncRegisteredDevice(String deviceId);
}